<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Controller;

use AutoreportModule\Model\Table\AutoreportSettingsTable;
use Cake\ORM\TableRegistry;

class AutoreportSettingsController extends AppController {

    public function index() {
        if (!$this->isApiRequest()) {
            //Only ship template for AngularJs
            return;
        }

        /** @var AutoreportSettingsTable $AutoreportSettingsTable */
        $AutoreportSettingsTable = TableRegistry::getTableLocator()->get('AutoreportModule.AutoreportSettings');

        if ($this->request->is('get')) {
            $all_autoreport_settings = $AutoreportSettingsTable->currentAutoreportSettings();
            $default_autoreport_settings = $AutoreportSettingsTable->defaultAutoreportSettings();


            $this->set('all_autoreport_settings', $all_autoreport_settings);
            $this->set('default_autoreport_settings', $default_autoreport_settings);
            $this->viewBuilder()->setOption('serialize', [
                'all_autoreport_settings',
                'default_autoreport_settings'
            ]);

            return;
        }


        if ($this->request->is('post')) {
            $entity = $AutoreportSettingsTable->getAutoreportSettingsEntity();
            $entity = $AutoreportSettingsTable->patchEntity($entity, $this->request->getData(null, []));
            $AutoreportSettingsTable->save($entity);
            if ($entity->hasErrors()) {
                $this->response = $this->response->withStatus(400);
                $this->set('error', $entity->getErrors());
                $this->viewBuilder()->setOption('serialize', ['error']);
                return;
            }

            $this->set('autoreportSettings', $entity);
            $this->viewBuilder()->setOption('serialize', [
                'autoreportSettings'
            ]);
        }
    }
}