<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Lib;


use App\Lib\PluginAclDependencies;

class AclDependencies extends PluginAclDependencies {

    public function __construct() {
        parent::__construct();

        // Add actions that should always be allowed.
        $this
            ->allow('Autoreports', 'hostAndServicesByHostId')
            ->allow('Autoreports', 'showCsvReport')
            ->allow('Autoreports', 'generateCsvReport')
            ->allow('Autoreports', 'hostUsedBy')
            ->allow('Autoreports', 'serviceUsedBy')
            ->allow('Autoreports', 'autoreportWidget')
            ->allow('Autoreports', 'autoreportAvailibilityColors');

        ///////////////////////////////
        //    Add dependencies       //
        //////////////////////////////

        $this
            ->dependency('Autoreports', 'index', 'Autoreports', 'createReport')
            ->dependency('Autoreports', 'index', 'Autoreports', 'calculateAvailability')
            ->dependency('Autoreports', 'index', 'Autoreports', 'loadAutoreports')

            ->dependency('Autoreports', 'add', 'Autoreports', 'addStepOne')
            ->dependency('Autoreports', 'add', 'Autoreports', 'addStepTwo')

            ->dependency('Autoreports', 'edit', 'Autoreports', 'editStepOne')
            ->dependency('Autoreports', 'edit', 'Autoreports', 'editStepTwo')
            ->dependency('Autoreports', 'edit', 'Autoreports', 'editStepThree');
    }
}
