<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Lib;

use App\Lib\PluginAdditionalLinks;

/**
 * Class AdditionalLinks
 * @package itnovum\openITCOCKPIT\AutoreportModule\AdditionalLinks
 */
class AdditionalLinks extends PluginAdditionalLinks {

    /**
     * @var array
     */
    private $links = [];

    /**
     * PluginAdditionalLinks constructor.
     */
    public function __construct() {
        // Add a link to hosts index drop down
        $this
            ->link(
                'hosts',
                'index',
                'list',
                'AutoreportsHostUsedBy({id: host.Host.id})',
                'fa fa-reply-all fa-flip-horizontal',
                __('Host used by Autoreport'),
                'autoreports', //controller for permission check
                'hostUsedBy' //action for permission check
            )
            ->link(
                'services',
                'index',
                'list',
                'AutoreportsServiceUsedBy({id: service.Service.id})',
                'fa fa-reply-all fa-flip-horizontal',
                __('Service used by Autoreport'),
                'autoreports', //controller for permission check
                'serviceUsedBy' //action for permission check
            );
    }
}
