<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Lib;


use itnovum\openITCOCKPIT\Core\Menu\MenuCategory;
use itnovum\openITCOCKPIT\Core\Menu\MenuHeadline;
use itnovum\openITCOCKPIT\Core\Menu\MenuInterface;
use itnovum\openITCOCKPIT\Core\Menu\MenuLink;

class Menu implements MenuInterface {

    /**
     * @return array
     */
    public function getHeadlines() {
        $Overview = new MenuHeadline(\itnovum\openITCOCKPIT\Core\Menu\Menu::MENU_OVERVIEW);
        $Overview
            ->addCategory((new MenuCategory(
                'reports_category'
            ))
                ->addLink(new MenuLink(
                    __('Autoreport'),
                    'AutoreportsIndex',
                    'autoreports',
                    'index',
                    'AutoreportModule',
                    'fa fa-file-invoice',
                    [],
                    3
                ))
            );

        $Configuration = new MenuHeadline(\itnovum\openITCOCKPIT\Core\Menu\Menu::MENU_CONFIGURATION);
        $Configuration
            ->addCategory((new MenuCategory(
                'settings_category'
            ))
                ->addLink(new MenuLink(
                    __('Autoreport Globals'),
                    'AutoreportSettingsIndex',
                    'AutoreportSettings',
                    'index',
                    'AutoreportModule',
                    'fa fa-code',
                    [],
                    4
                ))
            );

        return [$Overview, $Configuration];
    }

}
