<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.


namespace AutoreportModule\Lib;


use itnovum\openITCOCKPIT\Core\Dashboards\ModuleWidgetsInterface;

class Widgets implements ModuleWidgetsInterface {

    /**
     * @var array
     */
    private $ACL_PERMISSIONS = [];

    /**
     * Widgets constructor.
     * @param $ACL_PERMISSIONS
     */
    public function __construct($ACL_PERMISSIONS) {
        $this->ACL_PERMISSIONS = $ACL_PERMISSIONS;
    }

    /**
     * @return array
     */
    public function getAvailableWidgets() {
        $widgets = [];
        if (isset($this->ACL_PERMISSIONS['autoreportmodule']['autoreports']['index']) && isset($this->ACL_PERMISSIONS['autoreportmodule']['autoreports']['generate'])) {
            $widgets[] = [
                'type_id'   => 400,
                'title'     => __('Autoreport Overview'),
                'icon'      => 'fa fa-newspaper-o',
                'directive' => 'autoreport-widget',
                'width'     => 4,
                'height'    => 13
            ];
        }

        return $widgets;
    }

}
