<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AutoreportModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * Autoreport Entity
 *
 * @property int $id
 * @property string $name
 * @property string|null $description
 * @property int $container_id
 * @property int $timeperiod_id
 * @property string $report_interval
 * @property string $report_send_interval
 * @property int $consider_downtimes
 * @property string|null $last_send_date
 * @property int|null $min_availability_percent
 * @property float|null $min_availability
 * @property int $check_hard_state
 * @property int $use_start_time
 * @property string|null $report_start_date
 * @property float|null $last_percent_value
 * @property int|null $last_absolut_value
 * @property int $show_time
 * @property int $last_number_of_outages
 * @property int $failure_statistic
 * @property int $consider_holidays
 * @property int $calendar_id
 * @property int|null $max_number_of_outages
 * @property FrozenTime $created
 * @property FrozenTime $modified
 *
 * @property \App\Model\Entity\Host $host
 * @property \App\Model\Entity\Service $service
 * @property \App\Model\Entity\User $user
 */
class Autoreport extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'id'                       => true,
        'name'                     => true,
        'description'              => true,
        'container_id'             => true,
        'timeperiod_id'            => true,
        'report_interval'          => true,
        'report_send_interval'     => true,
        'consider_downtimes'       => true,
        'last_send_date'           => true,
        'min_availability_percent' => true,
        'min_availability'         => true,
        'check_hard_state'         => true,
        'use_start_time'           => true,
        'report_start_date'        => true,
        'last_percent_value'       => true,
        'last_absolut_value'       => true,
        'show_time'                => true,
        'last_number_of_outages'   => true,
        'failure_statistic'        => true,
        'consider_holidays'        => true,
        'calendar_id'              => true,
        'max_number_of_outages'    => true,
        'hosts'                    => true,
        'services'                 => true,
        'users'                    => true,
        'containers'               => true
    ];
}
