<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AutoreportModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * AutoreportAvailabilityLog Entity
 *
 * @property int $id
 * @property int $autoreport_id
 * @property string $report_interval
 * @property int $last_update
 * @property int $evaluation_start
 * @property int $evaluation_end
 * @property int $availability_total_time
 * @property int $minimal_availability_time
 * @property int $determined_availability_time
 * @property int $determined_outage_time
 * @property float $minimal_availability_percent
 * @property float $determined_availability_percent
 * @property int $maximal_number_outages
 * @property int $determined_number_outages
 * @property \Cake\I18n\FrozenTime $created
 */
class AutoreportAvailabilityLog extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'autoreport_id'                   => true,
        'report_interval'                 => true,
        'last_update'                     => true,
        'evaluation_start'                => true,
        'evaluation_end'                  => true,
        'availability_total_time'         => true,
        'minimal_availability_time'       => true,
        'determined_availability_time'    => true,
        'determined_outage_time'          => true,
        'minimal_availability_percent'    => true,
        'determined_availability_percent' => true,
        'maximal_number_outages'          => true,
        'determined_number_outages'       => true,
        'created'                         => true
    ];
}
