<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace AutoreportModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * AutoreportSetting Entity
 *
 * @property int $id
 * @property string $configuration_option
 * @property string $store_path
 * @property string $notification_emails
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 */
class AutoreportSetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'configuration_option' => true,
        'store_path'           => true,
        'notification_emails'  => true,
        'created'              => true,
        'modified'             => true,
    ];
}
