<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace AutoreportModule\Model\Table;

use Cake\ORM\Table;

class AutoreportQuarterlyTable extends Table {
    /**
     * Initialize method
     *
     * @param array $config The configuration for the Table.
     * @return void
     */
    public function initialize(array $config): void {
        parent::initialize($config);
        $this->addBehavior('Timestamp');

        $this->setEntityClass('AutoreportModule.AutoreportQuarterly');
        $this->setTable('autoreport_quarterlies');
    }

    /**
     * @return array|\Cake\ORM\Query
     */
    public function getActuallyQuarterlies() {
        $result = $this->find()
            ->where([
                'AutoreportQuarterly.year  >=' . (intval(date('Y')) - 1)
            ])
            ->disableHydration();

        if (empty($result)) {
            return [];
        }
        return $result;
    }
}
