<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Autoreport Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportSettingsIndex">
            <i class="fa fa-gears"></i> <?php echo __('Configuration'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-edit"></i> <?php echo __('Edit'); ?>
    </li>
</ol>

<div class="alert bg-warning-500 alert-dismissible alert-warning alert-dismissible" role="alert">
    <div class="d-flex align-items-center">
        <div class="alert-icon width-3">
            <div class='icon-stack  icon-stack-sm'>
                <i class="base base-9 icon-stack-3x opacity-100 text-primary"></i>
                <i class="fas fa-exclamation-circle icon-stack-1x opacity-100 color-white"></i>
            </div>
        </div>
        <div class="flex-1">
            <span class="h5"><?php echo __('Attention!'); ?></span>
            <?php echo __('This changes affects all reports'); ?>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Autoreport Settings'); ?>
                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <form ng-submit="submit();">
                        <div class="frame-wrap">
                            <table class="table table-striped m-0 table-bordered table-hover table-sm">
                                <thead>
                                <tr>
                                    <th>
                                        <?php echo __('Key'); ?>
                                    </th>
                                    <th class="text-left col-6">
                                        <?php echo __('Value'); ?>
                                    </th>
                                    <th class="text-center col-1">
                                        <?php echo __('Info'); ?>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="(key, defaultautoreportsetting) in defaultautoreportsettings">
                                    <td>{{key}}</td>
                                    <td class="text-left">
                                        <div class="form-group">
                                            <div class="custom-control custom-checkbox"
                                                 ng-if="key !== 'AUTOREPORTS_ERROR_NOTIFICATION' && key !== 'AUTOREPORTS_STORE_PATH'">
                                                <input type="checkbox"
                                                       value="defaultautoreportsetting.value"
                                                       ng-model="selected[key]"
                                                       ng-checked="selected[key]"
                                                       ng-false-value="false"
                                                       ng-true-value="true"
                                                       ng-change="setBitValueForOption(selected[key], defaultautoreportsetting.value, key)"
                                                       class="custom-control-input"
                                                       id="{{key}}">
                                                <label class="custom-control-label" for="{{key}}"></label>
                                            </div>
                                            <div ng-if="key === 'AUTOREPORTS_ERROR_NOTIFICATION'">
                                                <input type="text"
                                                       ng-class="{'is-invalid': errors.notification_emails}"
                                                       ng-model="post.notification_emails"
                                                       class="form-control systemsetting-input">
                                                <div ng-repeat="error in errors.notification_emails">
                                                    <div class="help-block text-danger">{{ error }}</div>
                                                </div>
                                            </div>
                                            <div ng-if="key === 'AUTOREPORTS_STORE_PATH'">
                                                <input type="text"
                                                       ng-class="{'is-invalid': errors.store_path}"
                                                       ng-model="post.store_path"
                                                       class="form-control systemsetting-input">
                                                <div ng-repeat="error in errors.store_path">
                                                    <div class="help-block text-danger">{{ error }}</div>
                                                </div>
                                            </div>
                                        </div>


                                    </td>
                                    <td class="text-center">
                                        <a href="javascript:void(0);"
                                           data-original-title="{{defaultautoreportsetting.info}}"
                                           data-placement="left" rel="tooltip"
                                           data-container="body">
                                            <i class="padding-top-5 fa fa-info-circle fa-2x"></i>
                                        </a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>

                            <div class="card margin-top-10">
                                <div class="card-body">
                                    <div class="float-right">
                                        <button class="btn btn-primary" type="submit">
                                            <?php echo __('Save'); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
