<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Create auto report'); ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Step 2'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Create new auto report:'); ?>
                    <span class="fw-300"><i>{{autoreport.name}}</i></span>
                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">

                    <form class="form-horizontal">

                        <div class="wizard">
                            <ul class="nav nav-tabs step-anchor">
                                <li>
                                    <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li class="active">
                                    <span class="badge">2</span><?php echo __('Host and services configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li>
                                    <span class="badge">3</span><?php echo __('Report details'); ?>
                                    <span class="chevron"></span>
                                </li>
                            </ul>
                            <div class="pull-right margin-right-5" style="margin-top: -39px;">
                                <div class="actions" style="position: relative; display: inline;">
                                    <a ui-sref="AutoreportsEditStepOne({id: id})"
                                       class="btn btn-large btn-primary btn-prev default-link">
                                        <i class="fa fa-arrow-left"></i>
                                        <?= __('Prev'); ?>
                                    </a>

                                    <button type="button" ng-click="submit();" class="btn btn-sm btn-success">
                                        <?php echo __('Next'); ?><i class="fa fa-arrow-right"></i>
                                    </button>
                                </div>
                            </div>
                        </div>

                        <div class="step-content padding-20">
                            <div class="step-pane active" id="step2">
                                <h6><?php echo __('Report configuration for hosts and services'); ?></h6>


                                <div class="form-group required" ng-class="{'has-error': errors.hosts}">
                                    <label class="col col-2 control-label">
                                        <?php echo __('Hosts'); ?>
                                    </label>
                                    <div class="col col-12">
                                        <select id="Hosts"
                                                multiple
                                                data-placeholder="<?php echo __('Please choose'); ?>"
                                                class="form-control"
                                                chosen="hosts"
                                                callback="loadHosts"
                                                ng-options="host.key as host.value disable when host.disabled for host in hosts"
                                                ng-model="selectedHostIds">
                                        </select>
                                        <div ng-repeat="error in errors.hosts">
                                            <div class="help-block text-danger">{{ error }}</div>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label class="col col-2 control-label">
                                        <?php echo __('Service RegEx'); ?>
                                    </label>
                                    <div class="col col-12">

                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                    <span class="input-group-text">
                                                        <i class="fas fa-cog"></i>
                                                    </span>
                                            </div>
                                            <input type="text"
                                                   class="form-control"
                                                   placeholder="<?php echo __('Filter by service name'); ?>"
                                                   ng-disabled="selectedHostIds.length === 0"
                                                   ng-model="servicenameRegex"
                                                   ng-model-options="{debounce: 500}">
                                        </div>

                                    </div>
                                </div>
                                <div class="padding-top-15">
                                    <table class="table-stripped" id="HostServicesSettings"
                                           ng-show="selectedHostIds.length > 0" style="width: 100%;">
                                        <tr class="report-table-bordered">
                                            <th class="table-half-half-background col-md-4 padding-5">
                                                <div class="half"><?php echo __('Host'); ?></div>
                                                <div class="half"><?php echo __('Service'); ?></div>
                                            </th>
                                            <th class="col-md-1 text-center"><?php echo __('in %'); ?></th>
                                            <th class="col-md-1 text-center"><?php echo __('in h'); ?></th>
                                            <th class="table-half-half-background">
                                                <div class="half"><?php echo __('Alias'); ?></div>
                                                <div class="half"><?php echo __('Graph'); ?></div>
                                            </th>
                                            <th class="col-md-1 text-center helptext text-info"
                                                title="<?php echo __('Use minimum, average or maximum values for graph'); ?>">
                                                <?php echo __('MIN|AVG|MAX'); ?>
                                            </th>
                                            <th class="text-center"><?php echo __('Max. outage duration'); ?></th>
                                            <th class="text-center"><?php echo __('All failures'); ?></th>
                                        </tr>
                                        <tr>
                                            <td class="padding-left-5 text-right font-xs">
                                                <i class="fa fa-square host_icon padding-left-5"></i>
                                                <span class=""><?php echo __('host settings'); ?></span>
                                                <i class="fa fa-square service_icon padding-left-5"></i>
                                                <?php echo __('service settings'); ?>
                                            </td>
                                            <td class="text-center">
                                                <input type="checkbox"
                                                       ng-true-value="1"
                                                       ng-false-value="0"
                                                       ng-model="defaultOptionsPercent">
                                            </td>
                                            <td class="text-center">
                                                <input type="checkbox"
                                                       ng-true-value="1"
                                                       ng-false-value="0"
                                                       ng-model="defaultOptionsMinute">
                                            </td>
                                            <td class="text-center">
                                                <input type="checkbox"
                                                       ng-true-value="1"
                                                       ng-false-value="0"
                                                       ng-model="defaultOptionsAliasGraph">
                                            </td>
                                            <td class="text-center">
                                                <input type="radio" ng-model="defaultOptionsGraphSettings"
                                                       value="MIN"
                                                       name="defaultOptionsgraphSettings">
                                                <input type="radio" ng-model="defaultOptionsGraphSettings"
                                                       value="AVERAGE"
                                                       name="defaultOptionsgraphSettings">
                                                <input type="radio" ng-model="defaultOptionsGraphSettings"
                                                       value="MAX"
                                                       name="defaultOptionsgraphSettings">
                                            </td>
                                            <td class="text-center">
                                                <input type="number"
                                                       min="0"
                                                       ng-model="defaultOptionsOutageDuration"/>
                                            </td>
                                            <td class="text-center">
                                                <input type="checkbox"
                                                       ng-true-value="1"
                                                       ng-false-value="0"
                                                       ng-model="defaultOptionsAllfailures">
                                            </td>
                                        </tr>
                                        <tr class="host_row report-table-bordered"
                                            ng-repeat-start="host in hostsWithServices">
                                            <td class="host_option padding-3">{{host.name}}</td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.hosts[host.id].percent"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.hosts[host.id].minute"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="host_option text-center">
                                                <input
                                                        ng-model="post.Autoreport.hosts[host.id].alias"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="text-center">
                                            </td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.hosts[host.id].outage"
                                                        min="0"
                                                        type="number">
                                            </td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.hosts[host.id].allfailures"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                        </tr>

                                        <tr class="service_row report-table-bordered"
                                            ng-repeat="service in host.services" ng-repeat-end="">
                                            <td class="service_option padding-3">{{service.servicename}}</td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.services[service.id].percent"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.services[service.id].minute"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="service_option text-center">
                                                <input
                                                        ng-model="post.Autoreport.services[service.id].graph"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                            <td class="text-center">
                                                <input type="radio"
                                                       ng-model="post.Autoreport.services[service.id].graphSettings"
                                                       name="graph_settings_service_{{service.id}}" value="MIN">
                                                <input type="radio"
                                                       ng-model="post.Autoreport.services[service.id].graphSettings"
                                                       name="graph_settings_service_{{service.id}}" value="AVERAGE">
                                                <input type="radio"
                                                       ng-model="post.Autoreport.services[service.id].graphSettings"
                                                       name="graph_settings_service_{{service.id}}" value="MAX">
                                            </td>
                                            <td class="text-center">
                                                <input type="number"
                                                       min="0"
                                                       ng-model="post.Autoreport.services[service.id].outage">
                                            </td>
                                            <td class="text-center">
                                                <input
                                                        ng-model="post.Autoreport.services[service.id].allfailures"
                                                        ng-true-value="1"
                                                        ng-false-value="0"
                                                        type="checkbox">
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </div>
                        </div>

                    </form>

                </div>
            </div>
        </div>
    </div>
</div>


