<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<div style="height:{{frontWidgetHeight}}px!important;">
    <flippy vertical
            class="col-12 fancy"
            flip="['custom:FLIP_EVENT_OUT']"
            flip-back="['custom:FLIP_EVENT_IN']"
            duration="800"
            timing-function="ease-in-out">

        <flippy-front class="fixFlippy">
            <a href="javascript:void(0);" class="btn btn-default btn-xs txt-color-blueDark" ng-click="showConfig()">
                <i class="fa fa-cog fa-sm"></i>
            </a>
            <span ng-hide="autoreport.id === null" class="pull-right padding-right-5">
                <?php if ($this->Acl->hasPermission('generate', 'autoreports', 'AutoreportModule')): ?>
                    <button class="btn btn-primary btn-xs"
                            ng-click="calculateAvailabilityForReport(autoreport.id)">
                        <i class="fa fa-calculator" aria-hidden="true"></i>
                        <?php echo __('Calculate availability') ?>
                    </button>
                <?php endif; ?>
            </span>
            <span ng-show="autoreport.id === null" class="text-info padding-left-20">
                <?php echo __('No element selected'); ?>
            </span>
            <div class="no-padding">
                <div ng-if="autoreport.id" style="height:{{frontWidgetHeight}}px;width:{{frontWidgetWidth}}px;"
                     class="autoreportAvailibility padding-5">
                    <?php if ($this->Acl->hasPermission('generate', 'autoreports', 'AutoreportModule')): ?>
                        <div class="info-box" style="background-color: {{backgroundColor}};"
                             ng-show="autoreport.last_send_date">
                            <div class="info-box-icon">
                                <i ng-if="autoreportConfig.Autoreport.in_percent" class="fa fa-lg fa-percent"></i>
                                <i ng-if="!autoreportConfig.Autoreport.in_percent" class="fa fa-lg fa-clock-o"></i>
                            </div>
                            <div class="info-box-content txt-color-white">
                                <a ui-sref="AutoreportsGenerateReport({id: autoreport.id })"
                                   title="{{autoreport.name}}"
                                   class="info-box-text">
                                    <span class="txt-color-white">{{autoreport.name}}</span>
                                </a>
                                <div class="info-update-date" ng-show="autoreportConfig.Autoreport.show_update_date">
                                    <?php echo __('Last update: '); ?>{{autoreport.last_send_date}}
                                </div>
                                <span ng-show="autoreportConfig.Autoreport.show_bar_chart"
                                      id="inlinesparkline-{{widget.id}}"
                                      class="info-box-sparkline inlinesparkline"></span>
                                <span ng-hide="autoreportConfig.Autoreport.show_bar_chart"
                                      class="info-box-sparkline"></span>
                                <div class="info-box-number" style="font-size:{{fontSize}}px;">
                                    <p ng-if="autoreportConfig.Autoreport.in_percent">
                                        {{autoreport.last_percent_value}}%
                                    </p>
                                    <p ng-if="!autoreportConfig.Autoreport.in_percent">
                                        {{autoreport.last_absolut_value_human}}
                                    </p>
                                </div>
                                <div class="progress">
                                    <div class="progress-bar"
                                         style="width:{{autoreport.last_percent_value}}%"></div>
                                </div>
                            </div>
                        </div>
                        <div class="info-box bg-primary" ng-hide="autoreport.last_send_date">
                            <div class="info-box-icon">
                                <i class="fa fa-lg fa-info"></i>
                            </div>
                            <div class="info-box-content txt-color-white">
                                <a ng-href="{{autoreportHref}}" title="{{autoreport.name}}"
                                   class="info-box-text">
                                    <span class="txt-color-white">{{autoreport.name}}</span>
                                </a>
                                <div class="font-lg">
                                    <?php
                                    echo __('No data available ');
                                    ?>
                                </div>
                            </div>
                        </div>
                    <?php else: ?>
                        <div class="row text-center padding-20">
                            <span class="col col-lg-12 badge badge-danger font-md" style="white-space: normal;">
                                <i class="fa fa-exclamation-triangle"></i>
                                <?php echo __('You are not permitted to access this object'); ?>
                            </span>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </flippy-front>
        <flippy-back>
            <a href="javascript:void(0);" class="btn btn-default btn-xs txt-color-blueDark" ng-click="hideConfig()">
                <i class="fa fa-eye fa-sm"></i>
            </a>
            <div class="col-lg-12">
                <div class="form-group" style="width: 100%;">
                    <label class="control-label">
                        <?php echo __('Autoreport'); ?>
                    </label>
                    <select data-placeholder="<?php echo __('Please choose'); ?>"
                            class="form-control"
                            chosen="autoreports"
                            ng-options="currentAutoreport.value.id as currentAutoreport.value.name for currentAutoreport in autoreports"
                            ng-model="autoreportConfig.id">
                    </select>
                    <div class="row padding-top-10">

                        <div class="col-xs-12 col-sm-4">
                            <fieldset>
                                <legend class="font-md">
                                    <?php echo __('Availibility'); ?>
                                </legend>

                                <div class="custom-control custom-radio custom-control-left margin-right-10 margin-bottom-10">
                                    <input type="radio"
                                           class="custom-control-input"
                                           id="widget-radio0-{{widget.id}}"
                                           ng-value="true"
                                           ng-model="autoreportConfig.Autoreport.in_percent">
                                    <label class="custom-control-label custom-control-label-primary"
                                           for="widget-radio0-{{widget.id}}">
                                        <?php echo __(' in %'); ?>
                                    </label>
                                </div>


                                <div class="custom-control custom-radio custom-control-left margin-right-10 margin-bottom-10">
                                    <input type="radio"
                                           class="custom-control-input"
                                           id="widget-radio1-{{widget.id}}"
                                           ng-value="false"
                                           ng-model="autoreportConfig.Autoreport.in_percent">
                                    <label class="custom-control-label custom-control-label-primary"
                                           for="widget-radio1-{{widget.id}}">
                                        <?php echo __(' in h'); ?>
                                    </label>
                                </div>
                            </fieldset>
                        </div>

                        <div class="col-xs-12 col-sm-4">
                            <fieldset>
                                <legend class="font-md">
                                    <?php echo __('Show log data'); ?>
                                </legend>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox  margin-bottom-10">
                                        <input type="checkbox"
                                               class="custom-control-input"
                                               id="ShowUpdateDate-{{widget.id}}"
                                               ng-model="autoreportConfig.Autoreport.show_update_date">
                                        <label class="custom-control-label" for="ShowUpdateDate-{{widget.id}}">
                                            <?php echo __('Log date'); ?>
                                        </label>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="custom-control custom-checkbox  margin-bottom-10">
                                        <input type="checkbox"
                                               class="custom-control-input"
                                               id="ShowBarChart-{{widget.id}}"
                                               ng-model="autoreportConfig.Autoreport.show_bar_chart">
                                        <label class="custom-control-label" for="ShowBarChart-{{widget.id}}">
                                            <?php echo __('Bar chart'); ?>
                                        </label>
                                    </div>
                                </div>
                            </fieldset>
                        </div>

                        <div class="col-xs-12 col-sm-4">
                            <fieldset>
                                <legend class="font-md">
                                    <?php echo __('Dynamic color'); ?>
                                    <autoreportavailibilitycolors></autoreportavailibilitycolors>
                                </legend>
                                <div class="form-group">
                                    <div class="custom-control custom-checkbox  margin-bottom-10">
                                        <input type="checkbox"
                                               class="custom-control-input"
                                               id="SetColorDynamically-{{widget.id}}"
                                               ng-model="autoreportConfig.Autoreport.set_color_dynamically">
                                        <label class="custom-control-label" for="SetColorDynamically-{{widget.id}}">
                                            <?php echo __('Yes'); ?>
                                        </label>
                                    </div>
                                </div>
                            </fieldset>
                        </div>

                        <div class="col-xs-12 col-sm-12">
                            <button class="btn btn-primary float-right"
                                    ng-click="saveAutoreportWidget()">
                                <?php echo __('Save'); ?>
                            </button>
                        </div>

                    </div>
                </div>
            </div>
        </flippy-back>
    </flippy>
</div>

