<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement. 
// The license agreement and license key were sent with the order confirmation.
?>
<?php $this->Paginator->options(['url' => $this->params['named']]); ?>
<div class="row">
    <div class="col-xs-12 col-sm-7 col-md-7 col-lg-4">
        <h1 class="page-title txt-color-blueDark">
            <i class="fa fa-newspaper-o"></i>
            <?php echo __('Reporting'); ?>
            <span>>
                <?php echo __('Autoreports'); ?>
            </span>
        </h1>
    </div>
</div>

<div>
    <article class="col-sm-12 col-md-12 col-lg-12">
        <!-- Widget ID (each widget will need unique ID)-->
        <div class="jarviswidget" id="wid-id-2" data-widget-editbutton="false" data-widget-deletebutton="false">
            <header>
                <span class="widget-icon"> <i class="fa fa-file-invoice"></i> </span>
                <h2><?php echo __('Create autoreport'); ?></h2>
            </header>
            <!-- widget div-->
            <div>
                <!-- widget content -->
                <div class="widget-body fuelux">
                    <?php
                    echo $this->Form->create('Autoreport', [
                        'class' => 'form-horizontal',
                        'id'    => 'fuelux-wizard',
                    ]);
                    ?>
                    <!-- wizard form starts here -->
                    <fieldset class="col col-xs-12">
                        <?php
                        echo $this->Form->input('autoreport_id', [
                                'options'          => $this->Html->chosenPlaceholder($all_autoreports),
                                'data-placeholder' => __('Please select...'),
                                'class'            => 'chosen',
                                'label'            => __('Report'),
                                'style'            => 'width:100%;',
                                'selected'         => $autoreport['Autoreport']['id'],
                            ]
                        );
                        echo $this->Form->input('report_format', [
                                'options'          => ['pdf' => __('PDF'), 'html' => __('HTML'), 'csv' => __('CSV')],
                                'data-placeholder' => __('Please select...'),
                                'class'            => 'chosen',
                                'label'            => __('Report format'),
                                'style'            => 'width:100%;'
                            ]
                        );
                        ?>
                        <?php
                        echo $this->Form->input('start_date', [
                            'label' => __('From'),
                            'type'  => 'text',
                            'class' => 'form-control required',
                            'value' => $this->CustomValidationErrors->refill('start_date', date('d.m.Y', strtotime('-15 days'))),
                        ]);
                        echo $this->Form->input('end_date', [
                            'label'    => __('To'),
                            'type'     => 'text',
                            'class'    => 'form-control required',
                            'reguired' => true,
                            'value'    => $this->CustomValidationErrors->refill('end_date', date('d.m.Y', time())),
                        ]);

                        echo $this->Form->formActions(__('Create'));
                        ?>
                        <br/>
                    </fieldset>
                    <?php echo $this->Form->end(); ?>

                </div>
                <!-- end widget div -->
            </div>
            <!-- end widget -->
    </article>
    <!-- WIDGET END -->
</div>