<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>

<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fas fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Edit auto report'); ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Step 1'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Edit auto report:'); ?>
                    <span class="fw-300"><i>{{autoreport.name}}</i></span>
                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">

                    <form ng-submit="submit();" class="form-horizontal">

                        <div class="wizard">
                            <ul class="nav nav-tabs step-anchor">
                                <li class="active">
                                    <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li>
                                    <span class="badge">2</span><?php echo __('Host and services configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li>
                                    <span class="badge">3</span><?php echo __('Report details'); ?>
                                    <span class="chevron"></span>
                                </li>
                            </ul>
                            <div class="pull-right margin-right-5" style="margin-top: -39px;">
                                <div class="actions" style="position: relative; display: inline;">
                                    <button type="submit" class="btn btn-sm btn-success">
                                        <?php echo __('Next'); ?><i class="fa fa-arrow-right"></i>
                                    </button>
                                </div>
                            </div>
                        </div>


                        <div class="step-content">
                            <div class="step-pane active padding-20" id="step1">
                                <h6 class="txt-color-blueDark"><?php echo __('Main report configuration'); ?></h6>
                                <!-- wizard form starts here -->
                                <fieldset class="col col-12">
                                    <div class="form-group required" ng-class="{'has-error': errors.container_id}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Container'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select
                                                    id="ContainerId"
                                                    data-placeholder="<?php echo __('Please choose'); ?>"
                                                    class="form-control"
                                                    chosen="containers"
                                                    ng-options="container.key as container.value for container in containers"
                                                    ng-model="post.Autoreport.container_id">
                                            </select>
                                            <div ng-repeat="error in errors.container_id">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                            <div ng-show="post.Autoreport.container_id < 1" class="warning-glow">
                                                <?php echo __('Please select a container.'); ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group required" ng-class="{'has-error': errors.name}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Report name'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <input
                                                    class="form-control"
                                                    type="text"
                                                    ng-model="post.Autoreport.name">
                                            <div ng-repeat="error in errors.name">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Report description'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <input
                                                    class="form-control"
                                                    type="text"
                                                    ng-model="post.Autoreport.description">
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-12">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="SetStart"
                                                       name="checkbox"
                                                       class="custom-control-input"
                                                       ng-false-value="0"
                                                       ng-true-value="1"
                                                       ng-model="post.Autoreport.use_start_time">
                                                <label class="custom-control-label"
                                                       for="SetStart"><?php echo __('Set start'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group {{(post.Autoreport.use_start_time)?'required':''}}"
                                         ng-class="{'has-error': errors.report_start_date}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Start date'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <input type="text" class="form-control"
                                                   ng-model="post.Autoreport.report_start_date"
                                                   ng-disabled="!post.Autoreport.use_start_time"
                                                   placeholder="<?php echo __('DD.MM.YYYY'); ?>">
                                            <div ng-repeat="error in errors.report_start_date">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group required" ng-class="{'has-error': errors.timeperiod_id}">
                                        <label class="col col-2 control-label">
                                            <?php if ($this->Acl->hasPermission('edit', 'timeperiods')): ?>
                                                <a ui-sref="TimeperiodsEdit({id:post.Autoreport.timeperiod_id})"
                                                   ng-if="post.Autoreport.timeperiod_id > 0">
                                                    <?php echo __('Timeperiod'); ?>
                                                </a>
                                                <span ng-if="!post.Autoreport.timeperiod_id"><?php echo __('Timeperiod'); ?></span>
                                            <?php else: ?>
                                                <?php echo __('Timeperiod'); ?>
                                            <?php endif; ?>
                                        </label>
                                        <div class="col col-10">
                                            <select
                                                    data-placeholder="<?php echo __('Please choose a timeperiod'); ?>"
                                                    class="form-control"
                                                    chosen="timeperiods"
                                                    ng-options="timeperiod.key as timeperiod.value for timeperiod in timeperiods"
                                                    ng-model="post.Autoreport.timeperiod_id">
                                            </select>
                                            <div ng-repeat="error in errors.timeperiod_id">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group required" ng-class="{'has-error': errors.report_interval}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Evaluation period'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select class="form-control"
                                                    ng-model="post.Autoreport.report_interval"
                                                    chosen="{}">
                                                <option value="YEAR"><?php echo __('Year'); ?></option>
                                                <option value="QUARTER"><?php echo __('Quarter'); ?></option>
                                                <option value="MONTH"><?php echo __('Month'); ?></option>
                                                <option value="WEEK"><?php echo __('Week'); ?></option>
                                                <option value="DAY"><?php echo __('Day'); ?></option>
                                            </select>
                                            <div ng-repeat="error in errors.report_interval">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group required"
                                         ng-class="{'has-error': errors.report_send_interval}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Send interval'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select class="chosen form-control"
                                                    ng-model="post.Autoreport.report_send_interval"
                                                    chosen="{}">
                                                <option value="NEVER"><?php echo __('never'); ?></option>
                                                <option value="YEAR"><?php echo __('yearly'); ?></option>
                                                <option value="QUARTER"><?php echo __('quarterly'); ?></option>
                                                <option value="MONTH"><?php echo __('monthly'); ?></option>
                                                <option value="WEEK"><?php echo __('weekly'); ?></option>
                                                <option value="DAY"><?php echo __('daily'); ?></option>
                                            </select>
                                            <div ng-repeat="error in errors.report_send_interval">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="col col-10 bordered-vertical-on-right padding-left-0 margin-bottom-10 padding-top-10 padding-bottom-0 bg-color-lightGray-with-opacity">
                                        <div class="form-group required margin-bottom-0"
                                             ng-class="{'has-error': errors.min_availability}">

                                            <label class="col col-2 control-label">
                                                <?php echo __('Guaranteed availability'); ?>
                                            </label>

                                            <div class="col col-12">
                                                <div class="input-group mb-3">
                                                    <div class="input-group-prepend">
                                                        <div class="input-group-text">
                                                            <input type="checkbox" ng-model="setMinAvailability">
                                                        </div>
                                                    </div>
                                                    <input type="text" class="form-control" min="0"
                                                           placeholder="{{(post.Autoreport.min_availability_percent)?'99.999':'1234567'}}"
                                                           ng-model="post.Autoreport.min_availability"
                                                           ng-focus="setMinAvailability = true">
                                                    <div class="input-group-append">
                                                        <button class="btn btn-outline-secondary dropdown-toggle"
                                                                type="button" data-toggle="dropdown"
                                                                aria-haspopup="true" aria-expanded="false">
                                                            <i ng-class="(post.Autoreport.min_availability_percent)?'fa fa-percent':'fa fa-clock-o'"></i>
                                                        </button>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item" href="javascript:void(0);"
                                                               ng-click="post.Autoreport.min_availability_percent = true">
                                                                <i class="fas fa-percent"></i>
                                                                <?php echo __('in percent'); ?>
                                                            </a>

                                                            <a class="dropdown-item" href="javascript:void(0);"
                                                               ng-click="post.Autoreport.min_availability_percent = false">
                                                                <i class="far fa-clock"></i>
                                                                <?php echo __('in minutes'); ?>
                                                            </a>

                                                        </div>
                                                    </div>
                                                </div>
                                                <div ng-repeat="error in errors.min_availability">
                                                    <div class="help-block text-danger">{{ error }}</div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col col-12 no-padding">
                                            <div class="col col-xs-12 col-md-10 col-lg-10">
                                                <i ng-class="errors.min_availability_percent|| errors.max_number_of_outages?
                                    'fa fa-exclamation-triangle text-danger': 'fa fa-info-circle text-info'"></i>
                                                <span ng-class="errors.min_availability_percent|| errors.max_number_of_outages?'text-danger': 'text-info'">
                                        <?php echo __('You must specify at least "Guaranteed availability" or "Max. number of outages"'); ?>
                                    </span>
                                            </div>
                                        </div>


                                        <div class="form-group required padding-bottom-2"
                                             ng-class="{'has-error': errors.max_number_of_outages}">
                                            <label class="col col-2 control-label">
                                                <?php echo __('Max. number of outages'); ?>
                                            </label>

                                            <div class="col col-12">
                                                <div class="input-group mb-3">
                                                    <div class="input-group-prepend">
                                                        <div class="input-group-text">
                                                            <input type="checkbox" ng-model="setMaxNumberOfOutages">
                                                        </div>
                                                    </div>
                                                    <input type="text" class="form-control"
                                                           ng-model="post.Autoreport.max_number_of_outages"
                                                           ng-untouched="!setMaxNumberOfOutages"
                                                           ng-focus="setMaxNumberOfOutages = true">
                                                </div>
                                                <div ng-repeat="error in errors.max_number_of_outages">
                                                    <div class="help-block text-danger">{{ error }}</div>
                                                </div>
                                            </div>
                                        </div>

                                    </div>


                                    <div class="form-group">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Graph'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select class="form-control"
                                                    ng-model="post.Autoreport.show_time"
                                                    chosen="{}">
                                                <option value="0"><?php echo __('in %'); ?></option>
                                                <option value="1"><?php echo __('in h'); ?></option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Reflection state'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select class="form-control"
                                                    ng-model="post.Autoreport.check_hard_state"
                                                    chosen="{}">
                                                <option ng-value="0"><?php echo __('soft and hard state'); ?></option>
                                                <option ng-value="1"><?php echo __('only hard state'); ?></option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-12">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="ConsiderDowntimes"
                                                       name="checkbox"
                                                       class="custom-control-input"
                                                       ng-false-value="0"
                                                       ng-true-value="1"
                                                       ng-model="post.Autoreport.consider_downtimes">
                                                <label class="custom-control-label"
                                                       for="ConsiderDowntimes"><?php echo __('Consider downtimes'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <div class="col-12">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="ConsiderHolidays"
                                                       name="checkbox"
                                                       class="custom-control-input"
                                                       ng-false-value="0"
                                                       ng-true-value="1"
                                                       ng-model="post.Autoreport.consider_holidays">
                                                <label class="custom-control-label"
                                                       for="ConsiderHolidays"><?php echo __('Consider holidays'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="form-group {{(post.Autoreport.consider_holidays)?'required':''}}"
                                         ng-class="{'has-error': errors.calendar_id}">
                                        <label class="col col-2 control-label">
                                            <?php if ($this->Acl->hasPermission('edit', 'calendars')): ?>
                                                <a ui-sref="CalendarsEdit({id:post.Autoreport.calendar_id})"
                                                   ng-if="post.Autoreport.calendar_id > 0">
                                                    <?php echo __('Calendar'); ?>
                                                </a>
                                                <span ng-if="!post.Autoreport.calendar_id"><?php echo __('Calendar'); ?></span>
                                            <?php else: ?>
                                                <?php echo __('Calendar'); ?>
                                            <?php endif; ?>
                                        </label>
                                        <div class="col col-10">
                                            <select
                                                    data-placeholder="<?php echo __('Please select...'); ?>"
                                                    class="form-control"
                                                    chosen="calendars"
                                                    ng-disabled="!post.Autoreport.consider_holidays"
                                                    ng-options="calendar.key as calendar.value for calendar in calendars"
                                                    ng-model="post.Autoreport.calendar_id">
                                            </select>
                                            <div ng-repeat="error in errors.calendar_id">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group {{(post.Autoreport.send_interval && post.Autoreport.send_interval != 'NEVER')?'required':''}}"
                                         ng-class="{'has-error': errors.users}">
                                        <label class="col col-2 control-label">
                                            <?php echo __('Users'); ?>
                                        </label>
                                        <div class="col col-10">
                                            <select
                                                    data-placeholder="<?php echo __('Please select...'); ?>"
                                                    class="form-control"
                                                    multiple
                                                    chosen="users"
                                                    ng-disabled="post.Autoreport.send_interval == 'NEVER'"
                                                    ng-options="user.key as user.value for user in users"
                                                    ng-model="post.Autoreport.users._ids">
                                            </select>
                                            <div ng-repeat="error in errors.users">
                                                <div class="help-block text-danger">{{ error }}</div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>
