<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Edit auto report'); ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Step 3'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Autoreport configuration overview:'); ?>
                    <span class="fw-300"><i>{{autoreport.name}}</i></span>
                </h2>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">

                    <form class="form-horizontal">

                        <div class="wizard">
                            <ul class="nav nav-tabs step-anchor">
                                <li>
                                    <span class="badge badge-info">1</span><?php echo __('Report configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li>
                                    <span class="badge">2</span><?php echo __('Host and services configuration'); ?>
                                    <span class="chevron"></span>
                                </li>
                                <li class="active">
                                    <span class="badge">3</span><?php echo __('Report details'); ?>
                                    <span class="chevron"></span>
                                </li>
                            </ul>
                            <div class="pull-right margin-right-5" style="margin-top: -39px;">
                                <div class="actions" style="position: relative; display: inline;">
                                    <a ui-sref="AutoreportsEditStepTwo({id: id})"
                                       class="btn btn-large btn-primary btn-prev default-link">
                                        <i class="fa fa-arrow-left"></i>
                                        <?= __('Prev'); ?>
                                    </a>

                                    <a ui-sref="AutoreportsIndex"
                                       class="btn btn-large btn-success btn-prev default-link">
                                        <i class="fa fa-arrow-right"></i>
                                        <?= __('Finish'); ?>
                                    </a>
                                </div>
                            </div>
                        </div>

                        <div class="step-content padding-20">
                            <div class="step-pane">
                                <h6 class="txt-color-blueDark"><?php echo __('Report overview'); ?>:
                                    <span class="txt-color-blue">"{{autoreport.name}}"</span>
                                </h6>
                            </div>

                            <fieldset>
                                <div class="row show-grid padding-top-10">
                                    <div class="col-3 text-right">
                                        <i class="fa fa-calendar"></i> <?php echo __('Time period'); ?>:
                                    </div>
                                    <div class="col-9">
                                        {{autoreport.timeperiod.name}}
                                        <div ng-repeat="timerange in autoreport.timeperiod.timeperiod_timeranges"
                                             class="row show-grid">
                                            <div class="col-2">
                                                {{timerange.weekday}}
                                            </div>
                                            <div class="col-4">
                                                {{timerange.start}} - {{timerange.end}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row show-grid padding-top-10">
                                    <div class="col-3 text-right">
                                        <i class="fa fa-clock-o"></i> <?php echo __('Report interval'); ?>:
                                    </div>
                                    <div class="col-9">
                                        <div class="row show-grid">
                                            <div class="col-4">
                                                {{autoreport.report_interval}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row show-grid padding-top-10">
                                    <div class="col-3 text-right">
                                        <i class="far fa-envelope-open"></i>
                                        <?php echo __('Report send interval'); ?>:
                                    </div>
                                    <div class="col-9">
                                        <div class="row show-grid">
                                            <div class="col-4">
                                                {{autoreport.report_send_interval}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row show-grid padding-top-10">
                                    <div class="col-3 text-right">
                                        <i class="fa fa-line-chart"></i> <?php echo __('Min. availibility'); ?>:
                                    </div>
                                    <div class="col-9">
                                        <div class="row show-grid">
                                            <div ng-hide="autoreport.min_availability_string" class="col-4">
                                                <i class="fa fa-ban text-danger"></i>
                                            </div>

                                            <div class="col-4" ng-show="autoreport.min_availability_string">
                                                {{autoreport.min_availability_string}}
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </fieldset>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-bolt"></i> <?php echo __('Max. number of outages'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div class="col-4">
                                        {{autoreport.max_number_of_outages}}
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-chain"></i> <?php echo __('Use start time'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div class="col-4" ng-show="autoreport.use_start_time">
                                        {{autoreport.report_start_date}}
                                    </div>
                                    <div class="col-4" ng-hide="autoreport.use_start_time">
                                        <i class="fa fa-ban text-danger"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-filter"></i> <?php echo __('Reflection state'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div class="col-4" ng-show="autoreport.check_hard_state">
                                        <?php echo __('hard'); ?>
                                    </div>
                                    <div class="col-4" ng-show="!autoreport.check_hard_state">
                                        <?php echo __('hard and soft'); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-medkit"></i> <?php echo __('Consider downtimes'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div class="col-4" ng-show="autoreport.consider_downtimes">
                                        <i class="fa fa-check text-success"></i>
                                    </div>
                                    <div class="col-4" ng-hide="autoreport.consider_downtimes">
                                        <i class="fa fa-ban text-danger"></i>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-star"></i> <?php echo __('Consider holidays'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div ng-hide="autoreport.consider_holidays_string" class="col-9">
                                        <i class="fa fa-ban text-danger"></i>
                                    </div>

                                    <div class="col-9" ng-show="autoreport.consider_holidays_string">
                                        <?php if ($this->Acl->hasPermission('edit', 'calendars')): ?>
                                            <a ui-sref="CalendarsEdit({id: autoreport.calendar.id})">
                                                {{autoreport.consider_holidays_string}}
                                            </a>
                                        <?php else: ?>
                                            {{autoreport.consider_holidays_string}}
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-users"></i> <?php echo __('Users'); ?>:
                            </div>
                            <div class="col-9">
                                <div class="row show-grid">
                                    <div ng-show="autoreport.users.length === 0" class="col-9">
                                        <i class="fa fa-ban text-danger"></i>
                                    </div>

                                    <div ng-show="autoreport.users.length > 0" class="col-9">
                                <span ng-repeat="user in autoreport.users">
                                    <?php if ($this->Acl->hasPermission('edit', 'users')): ?>
                                        <a ui-sref="UsersEdit({id: user.id})">
                                            {{user.firstname}} {{user.lastname}}
                                        </a>
                                    <?php else: ?>
                                        {{user.firstname}} {{user.lastname}}
                                    <?php endif; ?>
                                </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row show-grid padding-top-10">
                            <div class="col-3 text-right">
                                <i class="fa fa-cogs"></i> <?php echo __('Host and service options'); ?>:
                            </div>
                            <div class="col-9 text-center">
                                <div class="row show-grid report-details-header_bordered">
                                    <div class="col-3 table-half-half-background">
                                        <div class="half"><?php echo __('Host'); ?></div>
                                        <div class="half"><?php echo __('Service'); ?></div>
                                    </div>
                                    <div class="col-1"><?php echo __('in %'); ?></div>
                                    <div class="col-1"><?php echo __('in h'); ?></div>
                                    <div class="col-2 table-half-half-background">
                                        <div class="half"><?php echo __('Alias'); ?></div>
                                        <div class="half"><?php echo __('Graph'); ?></div>
                                    </div>
                                    <div class="col-3"><?php echo __('Max. outage duration'); ?></div>
                                    <div class="col-2"><?php echo __('All failures'); ?></div>
                                </div>
                            </div>
                        </div>

                        <div class="row" ng-repeat="host in autoreport.hostsWithServices">
                            <div class="col-3"></div>
                            <div class="col-9 host_row">
                                <div class="row show-grid report-details-bordered">
                                    <div class="col-3 host_option ">
                                        {{host.name}}
                                    </div>
                                    <div class="col-1 text-center">
                                        <i class="{{getBitValueClass(host._joinData.configuration_option, 1)}}">
                                            <!-- percent = 1 -->
                                        </i>
                                    </div>
                                    <div class="col-1 text-center">
                                        <i class="{{getBitValueClass(host._joinData.configuration_option, 2)}}">
                                            <!-- minute = 2 -->
                                        </i>
                                    </div>
                                    <div class="col-2 host_option text-center">
                                        <i class="{{getBitValueClass(host._joinData.configuration_option, 4)}}">
                                            <!-- alias = 4 -->
                                        </i>
                                    </div>
                                    <div class="col-3 text-center">
                                        {{host._joinData.outage_duration}}
                                    </div>
                                    <div class="col-2 text-center">
                                        <i class="{{getBitValueClass(host._joinData.configuration_option, 8)}}">
                                            <!-- outage = 8 -->
                                        </i>
                                    </div>
                                </div>
                            </div>


                            <div class="row show-grid report-details-bordered" ng-show="host.services.length === 0">
                                <div class="col-3"></div>
                                <div class="col-9 service_option text-left text-info padding-top-10 padding-left-20 padding-bottom-10">
                                    <strong><em><?php echo __('No Services selected. Report will considered only host state changes.'); ?></em></strong>
                                </div>
                            </div>

                            <div class="row show-grid report-details-bordered" ng-repeat="service in host.services">
                                <div class="col-3"></div>
                                <div class="col-9 service_row">
                                    <div class="row show-grid report-details-bordered">
                                        <div class="col-3 service_option ">
                                            {{service.servicename}}
                                        </div>
                                        <div class="col-1 text-center">
                                            <i class="{{getBitValueClass(service._joinData.configuration_option, 1)}}">
                                                <!-- percent = 1 -->
                                            </i>
                                        </div>
                                        <div class="col-1 text-center">
                                            <i class="{{getBitValueClass(service._joinData.configuration_option, 2)}}">
                                                <!-- minute = 2 -->
                                            </i>
                                        </div>
                                        <div class="col-2 service_option text-center">
                                            <i class="{{getBitValueClass(service._joinData.configuration_option, 4)}}">
                                                <!-- graph = 4 -->
                                            </i>
                                        </div>
                                        <div class="col-3 text-center">
                                            {{service._joinData.outage_duration}}
                                        </div>
                                        <div class="col-2 text-center">
                                            <i class="{{getBitValueClass(service._joinData.configuration_option, 8)}}">
                                                <!-- outage = 8 -->
                                            </i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
