<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

$Logo = new \itnovum\openITCOCKPIT\Core\Views\Logo();

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Generate Report'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2 ng-if="!reportWasGenerated">
                    <?php echo __('Generate auto report'); ?>
                </h2>
                <h2 ng-if="reportWasGenerated">
                    {{report.autoreport.name}}
                    <span class="fw-300">
                        <i>{{report.autoreport_data.evaluation_time.start_human}}</i>
                        -
                        <i>{{report.autoreport_data.evaluation_time.end_human}}</i>
                    </span>
                </h2>
                <?php if ($this->Acl->hasPermission('index', 'autoreports', 'AutoreportModule')): ?>
                    <div class="panel-toolbar padding-right-5">
                        <a back-button href="javascript:void(0);" fallback-state='AutoreportsIndex'
                           class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    </div>
                <?php endif; ?>
                <div class="panel-toolbar">
                    <ul class="nav nav-tabs border-bottom-0 nav-tabs-clean" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" ng-class="{'active': tabName=='reportConfig'}"
                               ng-click="tabName='reportConfig'"
                               role="tab">
                                <i class="fa fa-pencil-square-o"></i>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab"
                               ng-class="{'active': tabName=='showReport'}"
                               ng-click="tabName='showReport'"
                               ng-show="reportWasGenerated"
                               role="tab">
                                <i class="fa fa-pie-chart"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <div ng-show="tabName == 'reportConfig'">
                        <div class="alert alert-danger" role="alert" ng-show="report_error">
                            {{ report_error.message }}
                            <ul ng-show="report_error.objects">
                                <li ng-repeat="host in report_error.objects">
                                    {{host.name}}

                                    <ul ng-show="host.services">
                                        <li ng-repeat="service in host.services">
                                            {{service}}
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </div>

                        <form ng-submit="submit();" class="form-horizontal"
                              ng-init="reportMessage={successMessage : '<?php echo __('Report created successfully'); ?>' , errorMessage: '<?php echo __('Report could not be created'); ?>'}">


                            <div class="form-group required">
                                <label class="col col-2 control-label">
                                    <?php echo __('Auto report'); ?>
                                </label>
                                <div class="col col-12">
                                    <select
                                            id="ReportId"
                                            data-placeholder="<?php echo __('Please choose'); ?>"
                                            class="form-control"
                                            chosen="autoreports"
                                            ng-options="report.id as report.name for report in autoreports"
                                            ng-model="post.Autoreport.id">
                                    </select>
                                </div>
                            </div>

                            <div class="form-group required">
                                <label class="col col-2 control-label">
                                    <?php echo __('Report format'); ?>
                                </label>
                                <div class="col col-12">
                                    <select
                                            id="AutoreportFormat"
                                            data-placeholder="<?php echo __('Please choose'); ?>"
                                            class="form-control"
                                            chosen="{}"
                                            ng-model="post.Autoreport.format">
                                        <option value="pdf"><?php echo __('PDF'); ?></option>
                                        <option value="html"><?php echo __('HTML'); ?></option>
                                        <option value="zip"><?php echo __('CSV'); ?></option>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group" ng-class="{'has-error': errors.from_date}">
                                <label class="col col-2 control-label">
                                    <?php echo __('From'); ?>
                                </label>
                                <div class="col col-12">
                                    <input
                                            class="form-control"
                                            type="text"
                                            ng-model="post.Autoreport.from_date"
                                            placeholder="<?php echo __('DD.MM.YYYY'); ?>">
                                    <div ng-repeat="error in errors.from_date">
                                        <div class="help-block text-danger">{{ error }}</div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group" ng-class="{'has-error': errors.to_date}">
                                <label class="col col-2 control-label">
                                    <?php echo __('To'); ?>
                                </label>
                                <div class="col col-12">
                                    <input
                                            class="form-control"
                                            type="text"
                                            ng-model="post.Autoreport.to_date"
                                            placeholder="<?php echo __('DD.MM.YYYY'); ?>">
                                    <div ng-repeat="error in errors.to_date">
                                        <div class="help-block text-danger">{{ error }}</div>
                                    </div>
                                </div>
                            </div>
                            <div class="card margin-top-10">
                                <div class="card-body">
                                    <div class="float-right">
                                        <button class="btn btn-primary"
                                                ng-disabled="isGenerating"
                                                type="submit">
                                            <i class="fas fa-spinner fa-spin" ng-show="isGenerating"></i>
                                            <?php echo __('Generate report'); ?>
                                        </button>
                                    </div>
                                </div>
                            </div>

                        </form>
                    </div>

                    <div ng-show="tabName == 'showReport'">
                        <div class="row">
                            <div class="col-xs-12 col-md-6 col-lg-6">
                                <div class="row">
                                    <div class="col-xs-12 col-md-6 col-lg-4">
                                        <h4>
                                            <?= __('Evaluated time period'); ?>
                                        </h4>
                                    </div>

                                    <div class="col-xs-12 col-md-6 col-lg-8">
                                        <div class="row">
                                            <div class="col-12">
                                                <?php if ($this->Acl->hasPermission('edit', 'timeperiods')): ?>
                                                    <a ui-sref="TimeperiodsEdit({id: report.autoreport.timeperiod.id})">
                                                        {{report.autoreport.timeperiod.name}}
                                                    </a>
                                                <?php else: ?>
                                                    {{report.autoreport.timeperiod.name}}
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                        <div class="row"
                                             ng-repeat="timerange in report.autoreport.timeperiod.timeperiod_timeranges">
                                            <div class="col-xs-12 col-md-6 col-lg-2">
                                                {{timerange.weekday}}
                                            </div>
                                            <div class="col-xs-12 col-md-6 col-lg-10">
                                                {{timerange.start}}
                                                -
                                                {{timerange.end}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-xs-12 col-md-6 col-lg-6 text-right">
                                <img alt="logo" src="<?php echo $Logo->getLogoForHtml(); ?>" width="200">
                            </div>
                        </div>
                        <div class="row padding-top-10"
                             ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_SHOW_SUMMARY_STATISTICS.value) && report.autoreport.min_availability">
                            <div class="col-12">
                                <h4>
                                    <?= __('Availability overview') ?>
                                </h4>
                            </div>
                            <div class="col-12">
                                <table class="table ">
                                    <thead>
                                    <tr>
                                        <th style="border-top:none;" class="col-3"></th>
                                        <th style="border-top:none;"
                                            class="col-4"><?= __('Maximum allowed outage duration') ?></th>
                                        <th style="border-top:none;"
                                            class="col-4"><?= __('Measured outage duration ') ?></th>
                                        <th style="border-top:none;" class="col-1"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td><?= __('Percentage') ?></td>
                                        <td>
                                            {{report.autoreport_data.max_outages_time_in_percent | number: 3 }} %
                                        </td>
                                        <td>
                                            {{report.autoreport_data.total_outage_time_percentage | number: 3 }} %
                                        </td>
                                        <td>
                                            <span class="badge border border-success text-success"
                                                  ng-show="report.autoreport_data.total_outage_time_percentage <= report.autoreport_data.max_outages_time_in_percent">
                                                <?= __('PASSED') ?>
                                            </span>
                                            <span class="badge border border-danger text-danger"
                                                  ng-show="report.autoreport_data.total_outage_time_percentage > report.autoreport_data.max_outages_time_in_percent">
                                                <?= __('FAILED') ?>
                                            </span>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><?= __('Minutes') ?></td>
                                        <td>
                                            {{report.autoreport_data.max_outages_time_in_seconds_human}}
                                        </td>
                                        <td>
                                            {{report.autoreport_data.total_outage_time_human}}
                                        </td>
                                        <td>
                                            <span class="badge border border-success text-success"
                                                  ng-show="report.autoreport_data.total_outage_time_percentage <= report.autoreport_data.max_outages_time_in_percent">
                                                <?= __('PASSED') ?>
                                            </span>
                                            <span class="badge border border-danger text-danger"
                                                  ng-show="report.autoreport_data.total_outage_time_percentage > report.autoreport_data.max_outages_time_in_percent">
                                                <?= __('FAILED') ?>
                                            </span>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row padding-top-10"
                             ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_SHOW_SUMMARY_STATISTICS.value) && report.autoreport.max_number_of_outages">
                            <div class="col-12">
                                <h4>
                                    <?= __('Outages overview') ?>
                                </h4>
                            </div>
                            <div class="col-12">
                                <table class="table ">
                                    <thead>
                                    <tr>
                                        <th style="border-top:none;" class="col-3"></th>
                                        <th style="border-top:none;" class="col-4">
                                            <?= __('Maximum allowed number of outages') ?>
                                        </th>
                                        <th style="border-top:none;" class="col-4">
                                            <?= __('Measured number of outages') ?>
                                        </th>
                                        <th style="border-top:none;" class="col-1"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <td></td>
                                        <td>
                                            {{report.autoreport.max_number_of_outages}}
                                        </td>
                                        <td>
                                            {{report.autoreport_data.total_outage_count}}
                                        </td>
                                        <td>
                                            <span class="badge border border-success text-success"
                                                  ng-show="report.autoreport_data.total_outage_count <= report.autoreport.max_number_of_outages">
                                                <?= __('PASSED') ?>
                                            </span>
                                            <span class="badge border border-danger text-danger"
                                                  ng-show="report.autoreport_data.total_outage_count > report.autoreport.max_number_of_outages">
                                                <?= __('FAILED') ?>
                                            </span>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>


                        <div class="row padding-top-10">
                            <div class="col-12">
                                <h4>
                                    <?= __('Evaluated host and services') ?>
                                </h4>
                            </div>
                            <div class="col-12">
                                <table class="table ">
                                    <thead>
                                    <tr>
                                        <th style="border-top:none;" class="col-3"></th>
                                        <th style="border-top:none;" class="col-4">
                                            <?= __('Name') ?>
                                        </th>
                                        <th style="border-top:none;" class="col-4">
                                            <span ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_HOST_DESC.value) ||hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_SERV_DESC.value)">
                                                <?= __('Availability ') ?>
                                            </span>
                                        </th>
                                        <th style="border-top:none;" class="col-1">
                                        </th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr ng-repeat-start="host in report.autoreport_data.hosts"
                                        class="html-report-host-row">
                                        <td></td>
                                        <td>
                                            <i class="fas fa-desktop padding-right-5"></i>
                                            <?php if ($this->Acl->hasPermission('browser', 'hosts')): ?>
                                                <a ui-sref="HostsBrowser({id:host.Host.id})">
                                                    {{ host.Host.name }}
                                                </a>
                                            <?php else: ?>
                                                {{ host.Host.name }}
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <div ng-if="host.Host.state_overview">
                                                <span ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_HOST_DESC.value)">
                                                    {{host.Host.state_overview.percent_availability | number: 3 }} %
                                                </span>
                                            </div>
                                            <span ng-if="!host.Host.state_overview && checkIfHostInReport(host.Host.id)"
                                                  class="text-primary">
                                                <i>
                                                    <?php echo __('No historical data available '); ?>
                                                </i>
                                            </span>
                                        </td>
                                        <td>
                                            <span class="badge border border-success text-success"
                                                  ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_HOST_DESC.value)"
                                                  ng-show="(100-report.autoreport_data.max_outages_time_in_percent) <= host.Host.state_overview.percent_availability">
                                                <?= __('PASSED') ?>
                                            </span>
                                            <span class="badge border border-danger text-danger"
                                                  ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_HOST_DESC.value)"
                                                  ng-show="(100-report.autoreport_data.max_outages_time_in_percent) > host.Host.state_overview.percent_availability">
                                                <?= __('FAILED') ?>
                                            </span>
                                        </td>
                                    </tr>

                                    <tr ng-repeat-end="" ng-repeat="service in host.Services">
                                        <td></td>
                                        <td>
                                            <span class="padding-left-10">
                                                <i class="fas fa-cog padding-right-5"></i>
                                                <?php if ($this->Acl->hasPermission('browser', 'services')): ?>
                                                    <a ui-sref="ServicesBrowser({id:service.Service.id})">
                                                        {{ service.Service.name }}
                                                    </a>
                                                <?php else: ?>
                                                    {{ service.Service.name }}
                                                <?php endif; ?>
                                            </span>
                                        </td>
                                        <td>
                                            <div ng-if="service.Service.state_overview">
                                                <span ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_SERV_DESC.value)">
                                                    {{service.Service.state_overview.percent_availability | number: 3
                                                    }} %
                                                </span>
                                            </div>
                                            <span ng-if="!service.Service.state_overview" class="text-primary">
                                                <i>
                                                    <?php echo __('No historical data available '); ?>
                                                </i>
                                            </span>
                                        </td>
                                        <td>
                                            <span class="badge border border-success text-success"
                                                  ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_SERV_DESC.value)"
                                                  ng-show="(100-report.autoreport_data.max_outages_time_in_percent) <= service.Service.state_overview.percent_availability">
                                                <?= __('PASSED') ?>
                                            </span>
                                            <span class="badge border border-danger text-danger"
                                                  ng-if="hasBitValue(report.autoreport_data.settings.configuration_option, report.autoreport_data.defaultSettings.AUTOREPORTS_EXTENDED_SERV_DESC.value)"
                                                  ng-show="(100-report.autoreport_data.max_outages_time_in_percent) > service.Service.state_overview.percent_availability">
                                                <?= __('FAILED') ?>
                                            </span>
                                        </td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row padding-top-10" ng-show="report.autoreport_data.sla_graph_path">
                            <div class="col-12">
                                <h4>
                                    <?= __('SLA overview') ?>
                                </h4>
                            </div>
                            <div class="col-12 text-center">
                                <img ng-src="{{report.autoreport_data.sla_graph_path}}" class="img-fluid"
                                     alt="SLA Chart">
                            </div>
                        </div>

                        <div class="row padding-top-10">
                            <div class="col-12">
                                <h4>
                                    <?= __('Host and service details') ?>
                                </h4>
                            </div>
                        </div>
                        <div class="row html-report-host-row padding-top-10 padding-bottom-10 border-top"
                             ng-repeat-start="host in report.autoreport_data.hosts">
                            <div class="col-md-3 text-left d-sm-flex align-items-center">
                                <i class="fas fa-desktop padding-right-5"></i>
                                <?php if ($this->Acl->hasPermission('browser', 'hosts')): ?>
                                    <a ui-sref="HostsBrowser({id:host.Host.id})">
                                        {{ host.Host.name }}
                                    </a>
                                <?php else: ?>
                                    {{ host.Host.name }}
                                <?php endif; ?>
                                <span ng-if="hasBitValue(host.Host.configuration_option, 4) && host.Host.description.length > 0">
                                    <!-- 4 == alias -->
                                    &nbsp;
                                    - {{host.Host.description}}
                                </span>
                            </div>

                            <div class="col-md-2">
                                <div class="row report-border-sucess" ng-if="host.Host.state_overview">
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 1)">
                                        <!-- 1 == percent -->
                                        {{ host.Host.state_overview.percent_up | number: 3 }} %
                                    </div>
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 2)">
                                        <!-- 2 == minute -->
                                        {{host.Host.state_overview.human_up}}
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <div class="row report-border-danger" ng-if="host.Host.state_overview">
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 1)">
                                        <!-- 1 == percent -->
                                        {{ host.Host.state_overview.percent_down | number: 3 }} %
                                    </div>
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 2)">
                                        <!-- 2 == minute -->
                                        {{host.Host.state_overview.human_down}}
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-2">
                                <div class="row report-border-default" ng-if="host.Host.state_overview">
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 1)">
                                        <!-- 1 == percent -->
                                        {{ host.Host.state_overview.percent_unreachable | number: 3 }} %
                                    </div>
                                    <div class="col-12" ng-if="hasBitValue(host.Host.configuration_option, 2)">
                                        <!-- 2 == minute -->
                                        {{host.Host.state_overview.human_unreachable}}
                                    </div>
                                </div>
                            </div>
                        </div><!-- ng-repeat-start hosts -->

                        <div class="row html-report-host-row">
                            <div class="col-12" ng-show="{{host.Host.frontend.show_outages}}">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-4 report-font-weight-500">
                                                {{host.Host.frontend.outages_headline}}
                                            </div>
                                            <div class="col-xs-12 col-md-4 report-font-weight-500">
                                                <span ng-show="host.Host.outage_duration !== null">
                                                    <?= __('Outage time exceeding the permitted limit ({0} min)', '{{host.Host.outage_duration}}') ?>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row"
                                             ng-repeat="outage in host.Host.frontend.outages"
                                             ng-class="{'service_option': outage.duration === host.Host.maximum_outage_duration}">
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.start}} - {{outage.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.duration_str}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of outages -->

                            <div class="col-12"
                                 ng-show="host.Host.frontend.outages_summarized_in_downtime.length > 0">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-8 report-font-weight-500">
                                                <i class="far fa-clock"></i>
                                                <span ng-show="host.Host.outage_duration !== null"><?= __('Host outage in downtime exceeding the permitted limit ({0} min)', '{{host.Host.outage_duration}}') ?></span>
                                                <span ng-show="host.Host.outage_duration === null"><?= __('Host outage in downtime') ?></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row"
                                             ng-repeat="outage in host.Host.frontend.outages_summarized_in_downtime">
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.start}} - {{outage.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.duration_str}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of outages in downtimes -->

                            <div class="col-12"
                                 ng-show="host.Host.frontend.downtimes.length > 0">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-8 report-font-weight-500">
                                                <i class="fas fa-power-off"></i>
                                                <?= __('Host downtimes') ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row"
                                             ng-repeat="downtime in host.Host.frontend.downtimes">
                                            <div class="col-xs-12 col-md-4">
                                                {{downtime.start}} - {{downtime.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-3">
                                                {{downtime.duration_str}}
                                            </div>
                                            <div class="col-xs-12 col-md-5">
                                                {{downtime.comment_data}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of downtimes -->
                        </div>


                        <!-- show services -->
                        <div class="row"
                             ng-repeat-end="" ng-repeat="service in host.Services">
                            <div class="col-12 border-top padding-top-10 padding-bottom-10"
                                 ng-if="service.Service.state_overview">
                                <div class="row">
                                    <div class="col-md-3 text-left d-sm-flex">
                                        <span class="padding-left-10">
                                            <i class="fas fa-cog padding-right-5"></i>
                                            <?php if ($this->Acl->hasPermission('browser', 'services')): ?>
                                                <a ui-sref="ServicesBrowser({id:service.Service.id})">
                                                    {{ service.Service.name }}
                                                </a>
                                            <?php else: ?>
                                                {{ service.Service.name }}
                                            <?php endif; ?>
                                        </span>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="row report-border-sucess">
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 1)">
                                                <!-- 1 == percent -->
                                                {{ service.Service.state_overview.percent_ok | number: 3 }} %
                                            </div>
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 2)">
                                                <!-- 2 == minute -->
                                                {{service.Service.state_overview.human_ok}}
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="row report-border-warning">
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 1)">
                                                <!-- 1 == percent -->
                                                {{ service.Service.state_overview.percent_warning | number: 3 }} %
                                            </div>
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 2)">
                                                <!-- 2 == minute -->
                                                {{service.Service.state_overview.human_warning}}
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="row report-border-danger">
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 1)">
                                                <!-- 1 == percent -->
                                                {{ service.Service.state_overview.percent_critical | number: 3 }} %
                                            </div>
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 2)">
                                                <!-- 2 == minute -->
                                                {{service.Service.state_overview.human_critical}}
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-md-2">
                                        <div class="row report-border-default">
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 1)">
                                                <!-- 1 == percent -->
                                                {{ service.Service.state_overview.percent_unknown | number: 3 }} %
                                            </div>
                                            <div class="col-12"
                                                 ng-if="hasBitValue(service.Service.configuration_option, 2)">
                                                <!-- 2 == minute -->
                                                {{service.Service.state_overview.human_unknown}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="col-12"
                                 ng-show="hasGraph(host.Host.uuid, service.Service.uuid) && service.Service.state_overview">
                                <div class="col-12 col-xs-12 col-md-9 offset-md-3"
                                     ng-repeat="graphBase64Blob in report.GraphImageBlobs[host.Host.uuid][service.Service.uuid]">
                                    <img
                                            ng-src="data:image/png;base64,{{graphBase64Blob}}"
                                            alt="Missing chart image">
                                </div>
                            </div>

                            <div class="col-12" ng-show="service.Service.frontend.outages.length > 0">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3"
                                         ng-show="{{service.Service.frontend.show_outages}}">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-4 report-font-weight-500">
                                                {{service.Service.frontend.outages_headline}}
                                            </div>
                                            <div class="col-xs-12 col-md-4 report-font-weight-500"
                                                 ng-show="service.Service.outage_duration !== null">
                                                <?= __('Outage time exceeding the permitted limit ({0} min)', '{{service.Service.outage_duration}}') ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3"
                                         ng-show="{{service.Service.frontend.show_outages}}">
                                        <div class="row"
                                             ng-repeat="outage in service.Service.frontend.outages"
                                             ng-class="{'service_option': outage.duration === service.Service.maximum_outage_duration}">
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.start}} - {{outage.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.duration_str}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of outages -->

                            <div class="col-12"
                                 ng-show="service.Service.frontend.outages_summarized_in_downtime.length > 0">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-8 report-font-weight-500">
                                                <i class="far fa-clock"></i>
                                                <span ng-show="service.Service.outage_duration !== null"><?= __('Service outage in downtime exceeding the permitted limit ({0} min)', '{{service.Service.outage_duration}}') ?></span>
                                                <span ng-show="service.Service.outage_duration === null"><?= __('Service outage in downtime') ?></span>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row"
                                             ng-repeat="outage in service.Service.frontend.outages_summarized_in_downtime">
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.start}} - {{outage.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-4">
                                                {{outage.duration_str}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of outages in downtimes -->

                            <div class="col-12"
                                 ng-show="service.Service.frontend.downtimes.length > 0">
                                <div class="row padding-top-5 padding-bottom-10">
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row">
                                            <div class="col-xs-12 col-md-8 report-font-weight-500">
                                                <i class="fas fa-power-off"></i>
                                                <?= __('Service downtimes') ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-xs-12 col-md-9 offset-md-3">
                                        <div class="row"
                                             ng-repeat="downtime in service.Service.frontend.downtimes">
                                            <div class="col-xs-12 col-md-4">
                                                {{downtime.start}} - {{downtime.end}}
                                            </div>
                                            <div class="col-xs-12 col-md-3">
                                                {{downtime.duration_str}}
                                            </div>
                                            <div class="col-xs-12 col-md-5">
                                                {{downtime.comment_data}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> <!-- end of downtimes -->

                        </div><!-- ng-repeat services -->

                    </div> <!-- end showReport -->


                </div>
            </div>
        </div>
    </div>
</div>
