<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Host used by'); ?>
    </li>
</ol>

<massdelete></massdelete>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2><?php echo __('Host'); ?>
                    <span class="fw-300"><i>{{ host.name }}</i>&nbsp;</span>
                    <?php echo __('is used by'); ?>
                    {{ autoreports.length }}
                    <?php echo __('autoreports.'); ?>
                </h2>
                <?php if ($this->Acl->hasPermission('index', 'hosts', '')): ?>
                    <div class="panel-toolbar">
                        <a back-button href="javascript:void(0);" fallback-state='HostsIndex' class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    </div>
                <?php endif; ?>
            </div>

            <div class="panel-container show">
                <div class="panel-content">

                    <table class="table table-striped m-0 table-bordered table-hover table-sm">
                        <thead>
                        <tr>
                            <th class="no-sort">
                                <?php echo __('Auto report name'); ?>
                            </th>
                            <th class="no-sort">
                                <?php echo __('Description'); ?>
                            </th>

                            <th class="no-sort text-center width-70">
                                <i class="fa fa-cog fa-lg"></i>
                            </th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr ng-repeat="autoreport in autoreports">
                            <td>
                                <?php if ($this->Acl->hasPermission('edit', 'autoreports', 'AutoreportModule')): ?>
                                    <a ui-sref="AutoreportsEditStepTwo({id:autoreport.id})"
                                       ng-if="autoreport.allowEdit">
                                        &nbsp;{{ autoreport.name }}
                                    </a>
                                    <span ng-if="!autoreport.allowEdit">{{ autoreport.name }}</span>
                                <?php else: ?>
                                    {{ autoreport.name }}
                                <?php endif; ?>
                            </td>
                            <td>
                                {{ autoreport.description }}
                            </td>
                            <td>
                                <div class="btn-group btn-group-xs" role="group">
                                    <?php if ($this->Acl->hasPermission('edit', 'autoreports', 'AutoreportModule')): ?>
                                    <a ui-sref="AutoreportsEditStepOne({id: autoreport.id})"
                                       ng-if="autoreport.allowEdit"
                                       class="btn btn-default btn-lower-padding">
                                        <i class="fa fa-cog"></i>

                                        <a ui-sref="AutoreportsEditStepOne({id: autoreport.id})"
                                           ng-if="!autoreport.allowEdit"
                                           class="btn btn-default btn-lower-padding disabled">
                                            <i class="fa fa-cog"></i>
                                        </a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa fa-cog"></i></a>
                                        <?php endif; ?>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('edit', 'autoreports', 'AutoreportModule')): ?>
                                                <a ui-sref="AutoreportsEditStepTwo({id:autoreport.id})"
                                                   class="dropdown-item"
                                                   ng-if="autoreport.allowEdit">
                                                    <i class="fa fa-cog"></i> <?php echo __('Edit'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('generate', 'autoreports', 'AutoreportModule')): ?>
                                                <a ui-sref="AutoreportsGenerateReport({id:autoreport.id})"
                                                   class="dropdown-item">
                                                    <i class="far fa-file-image"></i> <?php echo __('Generate report'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('delete', 'autoreports', 'AutoreportModule')): ?>
                                                <a href="javascript:void(0);"
                                                   class="txt-color-red dropdown-item"
                                                   ng-click="confirmDelete(getObjectForDelete(autoreport))">
                                                    <i class="fa fa-trash"></i> <?php echo __('Delete'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <div class="noMatch" ng-if="autoreports.length == 0">
                        <div class="row">
                            <div class="col-12 text-center txt-color-red italic">
                                <?php echo __('This host is not used by any autoreport or you have insufficient permissions.'); ?>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

