<?php
// Copyright (C) <2017>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="AutoreportsIndex">
            <i class="fa fa-file-invoice"></i> <?php echo __('Autoreport Module'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-list"></i> <?php echo __('Auto Reports Overview'); ?>
    </li>
</ol>

<!-- ANGAULAR DIRECTIVES -->
<massdelete></massdelete>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __(' Auto reports'); ?>
                    <span class="fw-300"><i><?php echo __('overview'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                    <?php if ($this->Acl->hasPermission('add', 'autoreports', 'AutoreportModule')): ?>
                        <button class="btn btn-xs btn-success mr-1 shadow-0"
                                ui-sref="AutoreportsAddStepOne">
                            <i class="fas fa-plus"></i> <?php echo __('New'); ?>
                        </button>
                    <?php endif; ?>

                    <button class="btn btn-xs btn-primary shadow-0" ng-click="triggerFilter()">
                        <i class="fas fa-filter"></i> <?php echo __('Filter'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">

                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by name'); ?>"
                                                   ng-model="filter.Autoreport.name"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- Filter End -->

                    <div class="frame-wrap">
                        <table class="table table-striped m-0 table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th class="no-sort sorting_disabled width-15">
                                    <i class="fas fa-check-square"></i>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.name')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.name')"></i>
                                    <?php echo __('Name'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.description')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.description')"></i>
                                    <?php echo __('Description'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.report_interval')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.report_interval')"></i>
                                    <?php echo __('Report inteval'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.report_send_interval')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.report_send_interval')"></i>
                                    <?php echo __('Report send inteval'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.min_availability')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.min_availability')"></i>
                                    <?php echo __('Min. availability'); ?>
                                </th>
                                <th class="no-sort" ng-click="orderBy('Autoreports.max_number_of_outages')">
                                    <i class="fa" ng-class="getSortClass('Autoreports.max_number_of_outages')"></i>
                                    <?php echo __('Max number of outages'); ?>
                                </th>
                                <th class="no-sort text-center width-70">
                                    <i class="fa fa-cog fa-lg"></i>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="autoreport in autoreports">
                                <td class="text-center" class="width-15">
                                    <?php if ($this->Acl->hasPermission('delete', 'autoreports', 'AutoreportModule')): ?>
                                        <input type="checkbox"
                                               ng-model="massChange[autoreport.id]">
                                    <?php endif; ?>
                                </td>
                                <td>
                                    {{ autoreport.name }}
                                </td>
                                <td>
                                    {{ autoreport.description }}
                                </td>
                                <td>
                                    {{ autoreport.report_interval }}
                                </td>
                                <td>
                                    {{ autoreport.report_send_interval }}
                                </td>
                                <td>
                                    {{ autoreport.min_availability | number: 3}}
                                </td>
                                <td class="text-center">
                                    {{ autoreport.max_number_of_outages }}

                                </td>

                                <td class="width-50">
                                    <div class="btn-group btn-group-xs" role="group">
                                        <?php if ($this->Acl->hasPermission('edit', 'autoreports', 'AutoreportModule')): ?>
                                            <a ui-sref="AutoreportsEditStepOne({id: autoreport.id})"
                                               ng-if="autoreport.allowEdit"
                                               class="btn btn-default btn-lower-padding">
                                                <i class="fa fa-cog"></i>
                                            </a>
                                            <a ui-sref="AutoreportsEditStepOne({id: autoreport.id})"
                                               ng-if="!autoreport.allowEdit"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa fa-cog"></i>
                                            </a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa fa-cog"></i></a>
                                        <?php endif; ?>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('edit', 'autoreports', 'AutoreportModule')): ?>
                                                <a ui-sref="AutoreportsEditStepOne({id: autoreport.id})"
                                                   ng-if="autoreport.allowEdit"
                                                   class="dropdown-item">
                                                    <i class="fa fa-cog"></i>
                                                    <?php echo __('Edit'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('generate', 'autoreports', 'AutoreportModule')): ?>
                                                <a class="dropdown-item"
                                                   ui-sref="AutoreportsGenerateReport({id: autoreport.id })">
                                                    <i class="fa fa-file-invoice"></i>
                                                    <?php echo __('Generate report'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('delete', 'autoreports', 'AutoreportModule')): ?>
                                                <div class="dropdown-divider"></div>
                                                <a ng-click="confirmDelete(getObjectForDelete(autoreport))"
                                                   ng-if="autoreport.allowEdit"
                                                   href="javascript:void(0);"
                                                   class="dropdown-item txt-color-red">
                                                    <i class="fa fa-trash"></i>
                                                    <?php echo __('Delete'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="margin-top-10" ng-show="autoreports.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>
                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="col-xs-12 col-md-2 text-muted text-center">
                                <span ng-show="selectedElements > 0">({{selectedElements}})</span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="selectAll()" class="pointer">
                                    <i class="fas fa-lg fa-check-square"></i>
                                    <?php echo __('Select all'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="undoSelection()" class="pointer">
                                    <i class="fas fa-lg fa-square"></i>
                                    <?php echo __('Undo selection'); ?>
                                </span>
                            </div>
                            <?php if ($this->Acl->hasPermission('delete', 'autoreports', 'AutoreportModule')): ?>
                                <div class="col-xs-12 col-md-2 txt-color-red">
                                    <span ng-click="confirmDelete(getObjectsForDelete())" class="pointer">
                                        <i class="fas fa-trash"></i>
                                        <?php echo __('Delete selected'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                        </div>
                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
