angular.module('openITCOCKPIT')
    .controller('AutoreportSettingsIndexController', function($scope, $http, NotyService, $state, RedirectService){
        $scope.autoreportsettings = {};
        $scope.selected = {};
        $scope.init = true;

        $scope.post = {
            configuration_option: 0,
            store_path: '',
            notification_emails: ''
        };

        $scope.load = function(){
            $http.get('/autoreport_module/autoreport_settings/index.json', {
                params: {
                    'angular': true,
                }
            }).then(function(result){
                $scope.post = result.data.all_autoreport_settings;
                $scope.defaultautoreportsettings = result.data.default_autoreport_settings;

                for(var i in  $scope.defaultautoreportsettings){
                    $scope.selected[i] = [];
                    $scope.selected[i] =  $scope.hasBitValue(
                        $scope.defaultautoreportsettings[i]['value']
                    );
                }
                $scope.init = false;

                setTimeout(function(){
                    jQuery("[rel=tooltip]").tooltip()
                }, 250);
            });
        };


        $scope.submit = function(){
            $http.post('/autoreport_module/autoreport_settings/index.json?angular=true',
                $scope.post
            ).then(function(result){
                NotyService.genericSuccess();
                RedirectService.redirectWithFallback('AutoreportSettingsIndex');
                $scope.errors = null;
                console.log('Data saved successfully');
            }, function errorCallback(result){
                NotyService.genericError();
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };

        $scope.hasBitValue = function(value){
            return Boolean($scope.post.configuration_option & value);
        };

        $scope.setBitValueForOption = function(selected, value, key){
            if(selected === 1){
                $scope.post.configuration_option |= value;

            }else{
                $scope.post.configuration_option ^= ~(~value);
            }
        };


        $scope.load();
    });
