angular.module('openITCOCKPIT')
    .controller('AutoreportsAddStepOneController', function($scope, $state, $http, NotyService, RedirectService){
        $scope.post = {
            Autoreport: {
                container_id: null,
                name: null,
                description: null,
                use_start_time: 0,
                report_start_date: '',
                timeperiod_id: null,
                report_interval: null,
                report_send_interval: null,
                min_availability_percent: true,
                min_availability: 'abc',
                max_number_of_outages: null,
                show_time: '0', //SLA Graph - if true -> show availability in hours
                check_hard_state: '0', // if true -> consider only hard states from state history
                consider_downtimes: '0',
                consider_holidays: false,
                calendar_id: null,
                users: {
                    _ids: []
                }
            }
        };

        $scope.init = true;
        $scope.setMinAvailability = false;
        $scope.setMaxNumberOfOutages = false;

        $scope.load = function(){
            $http.get("/containers/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
                $scope.init = false;
            });
        };

        $scope.loadTimeperiods = function(){
            $http.get("/timeperiods/loadTimeperiodsByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id
                }
            }).then(function(result){
                $scope.timeperiods = result.data.timeperiods;
            });
        };

        $scope.loadUsers = function(){
            $http.get("/users/loadUsersByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id,
                    'selected[]': $scope.post.Autoreport.users._ids
                }
            }).then(function(result){
                $scope.users = result.data.users;
            });
        };
        $scope.loadCalendars = function(searchString){
            $http.get("/calendars/loadCalendarsByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id,
                    'filter[Calendar.name]': searchString
                }
            }).then(function(result){
                $scope.calendars = result.data.calendars;
            });
        };

        $scope.submit = function(){
            $http.post("/autoreport_module/autoreports/addStepOne.json?angular=true",
                $scope.post
            ).then(function(result){
                $state.go('AutoreportsAddStepTwo', {
                    id: result.data.autoreport.id
                }).then(function(){
                    NotyService.scrollTop();
                });

            }, function errorCallback(result){
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                    NotyService.genericError();
                }
            });
        };

        $scope.$watch('post.Autoreport.container_id', function(){
            if($scope.init){
                return;
            }
            $scope.loadTimeperiods('');
            $scope.loadCalendars('');
            $scope.loadUsers('');
        }, true);

        $scope.$watch('setMinAvailability', function(){
            if($scope.setMinAvailability){
                return;
            }
            $scope.post.Autoreport.min_availability = null;
        }, true);

        $scope.$watch('setMaxNumberOfOutages', function(){
            if($scope.setMaxNumberOfOutages){
                return;
            }

            $scope.post.Autoreport.max_number_of_outages = null;
        }, true);

        $scope.$watch('post.Autoreport.use_start_time', function(){
            if($scope.post.Autoreport.use_start_time){
                return;
            }
            $scope.post.Autoreport.report_start_date = '';
        }, true);

        $scope.$watch('post.Autoreport.consider_holidays', function(){
            if($scope.post.Autoreport.consider_holidays){
                return;
            }
            $scope.post.Autoreport.calendar_id = null;
        }, true);

        $scope.load();
    });
