angular.module('openITCOCKPIT')
    .controller('AutoreportsEditStepOneController', function($scope, $state, $http, NotyService, $stateParams){

        $scope.init = true;
        $scope.id = $stateParams.id;

        $scope.post = {
            Autoreport: {}
        };

        $scope.setMinAvailability = false;
        $scope.setMaxNumberOfOutages = false;

        $scope.load = function(){
            $http.get("/autoreport_module/autoreports/editStepOne/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.post.Autoreport = result.data.autoreport;
                if($scope.post.Autoreport.min_availability){
                    $scope.setMinAvailability = true;
                }

                if($scope.post.Autoreport.max_number_of_outages >= 0 && $scope.post.Autoreport.max_number_of_outages !== null){
                    $scope.setMaxNumberOfOutages = true;
                }

                $scope.init = false;
                $scope.loadContainers();
            });

        };

        $scope.loadContainers = function(){
            $http.get("/containers/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
            });
        };

        $scope.loadTimeperiods = function(){
            $http.get("/timeperiods/loadTimeperiodsByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id
                }
            }).then(function(result){
                $scope.timeperiods = result.data.timeperiods;
            });
        };

        $scope.loadUsers = function(){
            $http.get("/users/loadUsersByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id,
                    'selected[]': $scope.post.Autoreport.users._ids
                }
            }).then(function(result){
                $scope.users = result.data.users;
            });
        };

        $scope.loadCalendars = function(searchString){
            $http.get("/calendars/loadCalendarsByContainerId.json", {
                params: {
                    'angular': true,
                    'containerId': $scope.post.Autoreport.container_id,
                    'filter[Calendar.name]': searchString
                }
            }).then(function(result){
                $scope.calendars = result.data.calendars;
            });
        };


        $scope.submit = function(){
            $http.post("/autoreport_module/autoreports/editStepOne/"+$scope.id+".json?angular=true",
                $scope.post
            ).then(function(result){
                $state.go('AutoreportsEditStepTwo', {
                    id: result.data.autoreport.id
                }).then(function(){
                    NotyService.scrollTop();
                });

            }, function errorCallback(result){
                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                    NotyService.genericError();
                }
            });
        };

        $scope.$watch('post.Autoreport.container_id', function(){
            if($scope.init){
                return;
            }
            $scope.loadTimeperiods('');
            $scope.loadCalendars('');
            $scope.loadUsers('');
        }, true);

        $scope.$watch('setMinAvailability', function(){
            if($scope.setMinAvailability){
                return;
            }
            $scope.post.Autoreport.min_availability = null;
        }, true);

        $scope.$watch('setMaxNumberOfOutages', function(){
            if($scope.setMaxNumberOfOutages){
                return;
            }

            $scope.post.Autoreport.max_number_of_outages = null;
        }, true);

        $scope.$watch('post.Autoreport.use_start_time', function(){
            if($scope.post.Autoreport.use_start_time){
                return;
            }
            $scope.post.Autoreport.report_start_date = '';
        }, true);

        $scope.$watch('post.Autoreport.consider_holidays', function(){
            if($scope.post.Autoreport.consider_holidays){
                return;
            }
            $scope.post.Autoreport.calendar_id = null;
        }, true);

        $scope.load();
    });
