angular.module('openITCOCKPIT')
    .controller('AutoreportsGenerateController', function($rootScope, $scope, $stateParams, $http, $timeout, NotyService, QueryStringService, $httpParamSerializer){
        $scope.init = true;
        $scope.errors = null;
        $scope.tabName = 'reportConfig';
        $scope.reportWasGenerated = false;
        $scope.reportHostIds = [];
        var now = new Date();

        $scope.id = parseInt($stateParams.id, 10);

        $scope.post = {
            Autoreport: {
                id: $scope.id,
                format: 'html',
                from_date: date('d.m.Y', now.getTime() / 1000 - (3600 * 24 * 30)),
                to_date: date('d.m.Y', now.getTime() / 1000)
            }
        };


        $scope.loadAutoreports = function(){
            $http.get("/autoreport_module/autoreports/generate.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.autoreports = result.data.autoreports;
            });
        };

        $scope.hasBitValue = function(configuration_option, value){
            return configuration_option & value;
        };

        $scope.hasGraph = function(hostUuid, serviceUuid){
            if(typeof $scope.report !== "undefined"){
                if($scope.report.hasOwnProperty('GraphImageBlobs')){
                    if($scope.report.GraphImageBlobs.hasOwnProperty(hostUuid)){
                        if($scope.report.GraphImageBlobs[hostUuid].hasOwnProperty(serviceUuid)){
                            return true;
                        }
                    }
                }
            }
            return false;
        };

        $scope.submit = function(){
            if($scope.post.Autoreport.format === 'pdf' || $scope.post.Autoreport.format === 'zip'){ //zip => csv
                //Run POST request to check if the report could be generated at all / validation
                $scope.isGenerating = true;
                $scope.reportWasGenerated = false;
                $http.post("/autoreport_module/autoreports/generate.json",
                    $scope.post
                ).then(function(POSTresult){
                    $scope.errors = null;
                    $scope.report_error = null;

                    //Download PDF Report
                    var GETParams = {
                        'angular': true,
                        'data[id]': $scope.post.Autoreport.id,
                        'data[from_date]': $scope.post.Autoreport.from_date,
                        'data[to_date]': $scope.post.Autoreport.to_date
                    };
                    //window.location = '/autoreport_module/autoreports/generate.pdf?' + $httpParamSerializer(GETParams);
                    //$scope.isGenerating = false;
                    if($scope.post.Autoreport.format === 'pdf'){
                        $http.get("/autoreport_module/autoreports/generate.pdf", {
                            params: GETParams,
                            responseType: 'blob'
                        }).then(function(res){
                            $scope.isGenerating = false;
                            var blob = new Blob([res.data], {type: "application/pdf"});
                            saveAs(blob, POSTresult.data.filename);
                        });
                    }
                    if($scope.post.Autoreport.format === 'zip'){ //zip => csv
                        $http.get("/autoreport_module/autoreports/generate.zip", {
                            params: GETParams,
                            responseType: 'blob'
                        }).then(function(res){
                            $scope.isGenerating = false;
                            var blob = new Blob([res.data], {type: "application/zip"});
                            saveAs(blob, POSTresult.data.filename);
                        });
                    }


                }, function errorCallback(result){
                    $scope.isGenerating = false;
                    NotyService.genericError({
                        message: $scope.reportMessage.errorMessage
                    });
                    if(result.data.hasOwnProperty('error')){
                        $scope.errors = result.data.error;
                    }

                    if(result.data.hasOwnProperty('report_error')){
                        $scope.report_error = result.data.report_error;
                    }
                });

            }else{
                //HTML Report
                $scope.reportWasGenerated = false;
                $scope.isGenerating = true;
                $http.post("/autoreport_module/autoreports/generate.json",
                    $scope.post
                ).then(function(result){
                    $scope.errors = null;
                    $scope.report_error = null;
                    $scope.tabName = 'showReport';
                    $scope.reportWasGenerated = true;
                    $scope.isGenerating = false;
                    $scope.report = result.data.report;
                    for(var hostIndex in $scope.report.autoreport.hosts){
                        $scope.reportHostIds.push($scope.report.autoreport.hosts[hostIndex].id);
                    }

                    NotyService.genericSuccess({
                        message: $scope.reportMessage.successMessage
                    });
                }, function errorCallback(result){
                    $scope.isGenerating = false;
                    NotyService.genericError({
                        message: $scope.reportMessage.errorMessage
                    });
                    if(result.data.hasOwnProperty('error')){
                        $scope.errors = result.data.error;
                    }

                    if(result.data.hasOwnProperty('report_error')){
                        $scope.report_error = result.data.report_error;
                    }
                });
            }
        };

        $scope.checkIfHostInReport = function(hostId){
            return  ($scope.reportHostIds.indexOf(hostId) !== -1);
        };

        //Fire on page load
        $scope.loadAutoreports();
    });
